Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Conflict

  1. #1
    mugs
    Guest

    Conflict

    Good morning, how do I resolve something like this:

    <ome/mugs/.gnome-desktop/libgal19-0.19.3-1.ximian.3.i386.rpm;echo RESULT=$?
    file /opt/gnome/lib/libgal.so.19 from install of libgal19-0.19.3-1.ximian.3 conflicts with file from package gal-0.19-125
    RESULT=1

    I am trying to install libgal from rpm using kpackage.

    Thanks.

  2. #2
    x0xCRIZx0x
    Guest

    Re:Conflict

    Looks like a ximian install of libgal already exists in your system, and it's conflicting with what you are trying to install (a non-ximian rpm). Either:

    1. Get rid of ximian's install
    2. Get ximian rpm for what you are trying to install

    Just some thoughts..

  3. #3
    mugs
    Guest

    Re:Conflict

    Well, it is a Ximian rpm, i got it from their site. I checked in Kpackage to see if I could uninstall the libgal I already have, but it didnt show up.

  4. #4

    Re:Conflict

    Did you use rpm -Uvh by any chance? Because if it's a Ximian rpm then you just want to upgrade the old one.
    AMD Athlon 2200+ 1.8Ghz
    1280MB PC-3200 CAS2.5 RAM
    ATI Radeon 9600 Pro 128MB AGP
    Western Digital WDC WD2500JB-00FUA0 250GB 7200 rpm ATA/133
    Seagate ST3200822A 200GB 7200 rpm ATA/133
    Western Digital WDC WD1200BB-00CAA1 120GB 7200 rpm ATA/133
    Western Digital WDC WD800BB-00CAA1 80GB 7200 rpm ATA/133
    Maxtor OneTouch 2HA43R32 1TB 7200 rpm USB 2.0
    D-Link DFE-530TX+ 10/100 NIC
    D-Link DWL-G520 Rev.A
    Debian 5.0r1 Lenny

  5. #5
    mugs
    Guest

    Re:Conflict

    Thanks guys, I got past this problem. I use Kpackage for rpms, and I chose a different option and got it installed. However, in my quest to upgrade Evolution, I am running into many dependencies I cant seem to get around.

  6. #6
    JimH
    Guest

    Re:Conflict

    You are playing with fire trying to use Ximian's packages.

    Jim H

  7. #7
    mugs
    Guest

    Re:Conflict

    Well, that is nice to know. So, if i want to use Evolution (which I dont think I do anymore), how do I upgrade it. Why is it playing with fire, and what are the alternatives?

  8. #8
    x0xCRIZx0x
    Guest

    Re:Conflict

    I'm sure that the linux distributions out there have evolution packages available. For example, I can install evolution on my Gentoo box since there is an ebuild for it. I seem to remember RedHat and Mandrake having rpms for it as well. Basically, you don't need Ximian to install Evolution.

    What JimH meant by playing with fire is that you are basically installing rpms that were not meant to mingle with each other. If you use Ximian, you're better off installing ximian rpms. Any other rpms might (and in your case it did) cause conflicts with distro rpms. Well, I think that's what he meant :P

    As for an alternative for Evolution, I don't know of any apps that could match it feature wise (is has an amazing ability of looking/acting like Outlook). But in case you haven't thought yet, is there a need to install Evolution? I use to have it installed, until I thought one day that I didn't need all the bells and whistles that came with it. Again, if you need/want to install it, look to your distros list of available rpms.

  9. #9
    JimH
    Guest

    Re:Conflict

    One of the problems is ximian installs there packages to non-standard locations. There is no upgrade path if you want to upgrade your linux distribution if a new version comes out. You either have to do a clean install or try to remove all the ximian packages first to restore your system. :P

    Jim H

  10. #10
    mugs
    Guest

    Re:Conflict

    I see what you guys are saying. But, I did go to the Suse 8.0 section off of Ximian. Since I never got Evolution upgraded, I hope I didnt do too much damage. I got a few things intalled that I got off of Ximian, like gal. I am trying to decide between KDE and Gnome. Each seem to have their pros and cons. One of the reasons I tried Evolution is to try and convince my wife to try Linux. She basically refuses, since it "looks so different" from XP. Evolution looks so much like Outlook, but really doesnt work as well, at least with the older version that came with Suse. I had been using KMail, but was annoyed that I couldnt get links to be pulled up in Netscape or Mozilla, only Konquerer.

    So, do you suggest I uninstall any of the rpms I got installed for Ximian? I appreciate all the help and info, guys!

Similar Threads

  1. Zero Config Internet access for a captive portal IP conflict issue
    By Malinda in forum Linux - Hardware, Networking & Security
    Replies: 1
    Last Post: 01-24-2011, 10:49 PM
  2. modem/sound conflict
    By pam in forum Linux - General Topics
    Replies: 6
    Last Post: 12-24-2009, 09:46 AM
  3. World In Conflict Public Beta
    By lena in forum Windows - General Topics
    Replies: 0
    Last Post: 07-25-2007, 09:06 AM
  4. Samba SUSE9.3/SUSE10.0 conflict with X-Windows
    By leos in forum Linux - Hardware, Networking & Security
    Replies: 0
    Last Post: 11-05-2005, 12:29 AM
  5. two tulip nic's....conflict
    By tisource in forum Linux - Hardware, Networking & Security
    Replies: 1
    Last Post: 06-03-2002, 07:15 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •